Subject: Re: bug#51167: 29.0.50; org-indent-line broken

From: Andreas Röhler <[email-masked]>
Date: Wed, 13 Oct 2021 09:48:55 +0200

On 13.10.21 09:34, Kévin Le Gouguec wrote:
> Andreas Röhler <[email-masked]> writes:
>
>> Sounds like a chain of confusion.
>>
>> A command called "indent-line" definitely should indent.
> org-indent-line indents just like every indentation function in every
> other major mode: if the syntactic convention calls for it, it indents
> or de-indents the current line; otherwise it leaves the line untouched.
>
> Or are you saying you would like org-indent-line to also indent "* bla",
> because « a command called "indent-line definitely should indent »?
>
>> Seems the original coulprit is that unhappy switch of RET and C-j, in
>> order to make Emacs "modern".
> "Modern" did not factor in; the goal was to have RET and C-j behave
> consistently in all major modes.

That does not deliver an argument to change the meaning of RET.

BTW the costs of such changes are terribly underestimated in Emacs.

>> Maybe make RET RET again?
> After much discussion on emacs-orgmode, it has been found that a lot of
> users expect neither (1) their prose to be indented, nor (2) RET to
> indent.
>
> Since electric-indent-mode is enabled globally in Emacs,

Which IMO was another mistake.

Preferring a clean editor, which does fancy things only if enabled.

> RET indents
> according to the major mode's indentation rules.  Thus it was decided to
> change the default value of org-adapt-indentation, to reflect the
> expectations of the Org users who took the time to chime in on the
> mailing list to describe their workflow and expectations.
>
> If you think the default value should be reverted back to t, I suggest
> you make your case on emacs-orgmode.